audio cutting inand out intermittently

Bug #292880 reported by Brady Merriweather on 2008-11-03
2
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Notice a stop ad go audio problem. It seems almost like caching, pauses, then continues. while running applications with any type of streaming. from on-line streaming a video in flash, to playing a game in wine, or playing a game like alien arena. audio sometimes stops and freezes for a short time, then catches up, like it is off sync with that is initially on the screen. Other noticeable cases is on video and complete pause of the video for a brief 4 seconds, then continues.

From the logs, the following is appearing:

Nov 1 21:51:34 bradys-desktop pulseaudio[6273]: ltdl-bind-now.c: Failed to find original dlopen loader.
Nov 1 21:51:34 bradys-desktop pulseaudio[6275]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
Nov 1 21:51:34 bradys-desktop pulseaudio[6275]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
Nov 1 21:51:34 bradys-desktop pulseaudio[6275]: alsa-util.c: Device front:0 doesn't support 44100 Hz, changed to 48000 Hz.
Nov 1 21:51:34 bradys-desktop pulseaudio[6275]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
Nov 1 21:51:34 bradys-desktop pulseaudio[6275]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
Nov 1 21:52:05 bradys-desktop pulseaudio[6275]: module-x11-xsmp.c: X11 session manager not running.
Nov 1 21:52:05 bradys-desktop pulseaudio[6275]: module.c: Failed to load module "module-x11-xsmp" (argument: ""): initialization failed.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/yelp
NonfreeKernelModules: nvidia
Package: yelp 2.24.0-0ubuntu2
ProcEnviron:
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: yelp
Uname: Linux 2.6.27-7-generic i686

Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in a daily-live image (http://cdimage.ubuntu.com/daily-live/current/) of jaunty?

Changed in pulseaudio:
status: New → Incomplete
Daniel T Chen (crimsun) on 2009-02-14
Changed in pulseaudio:
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu6

---------------
pulseaudio (0.9.14-0ubuntu6) jaunty; urgency=low

  * 0004_disable_autospawn.patch: Disable this patch. Doing so
    allows the daemon to spawn if not already running, which
    works around LP: #191027, #204272
  * 0012_clarify_driver_error_redirect_to_alsa_devs.patch:
    - Only log POLL* being set if tsched is used so that syslog
      isn't filled with innocuous messages when we set tsched=0
      (see 0030 below) (LP: #323712),
    - Hint 'linux' source package instead of 'alsa-driver' for
      Launchpad bug reports,
    - The debug-specific portion is only applicable to 0.9.14;
      0.9.15 enables a rate limiting module by default to work
      around this (and other) issues
  * 0029_fix_suspend_on_idle_null_race.patch: Handle sink case,
    too
  * 0030_set_tsched0.patch: Work around a shedload of (driver)
    bugs by falling back to interrupt-based buffer semantics
    (LP: #190754, #292880, #295519, #298494, #301755, #302964,
     LP: #319118, #323976, #324103, #326205, #326864)
  * Backport fixes from git HEAD:
    - 0031_fix_6chan_map.patch,
    - 0032_reinit_proplist.patch,
    - 0033_fix_pa-gcc-packedmalloc.patch,
    - 0034_bt_fixes.patch
  * Make invoking the stop target in the initscript not fail an
    upgrade (LP: #317921)
  * Previous upload (0.9.14-0ubuntu3) fixed LP: #321357
  * 01PulseAudio: use sudo -H to ensure that $HOME is, in fact,
    the user's when invoking pacmd for suspend/resume

 -- Daniel T Chen <email address hidden> Sun, 15 Feb 2009 02:35:26 -0500

Changed in pulseaudio:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers